1. 20 Dec, 2017 23 commits
  2. 20 Oct, 2017 1 commit
  3. 25 Sep, 2017 2 commits
  4. 24 Sep, 2017 4 commits
  5. 23 Sep, 2017 3 commits
  6. 18 Sep, 2017 1 commit
  7. 14 Sep, 2017 3 commits
  8. 12 Sep, 2017 1 commit
  9. 03 Sep, 2017 1 commit
    • Vadim Zeitlin's avatar
      Allow defining SOCI_POSTGRESQL_NOSINLGEROWMODE for PostgreSQL < 9 · 09c26314
      Vadim Zeitlin authored
      Since the changes of b70a4e8b, PostgreSQL
      backend is not compatible with PostgreSQL < 9, contrary to the documented
      supported platforms in the documentation.
      
      Ideal would be to continue supporting the old versions by default and use
      PQsetSingleRowMode() only if it's detected as being available by CMake, but
      for now at least allow disabling single mode support manually.
      
      Closes #571.
      09c26314
  10. 06 Aug, 2017 1 commit